#if !defined __VOD_CLIENT_H__
#define __VOD_CLIENT_H__

#ifdef VODCLIENT_EXPORTS
#define VODCLIENT_API extern "C" __declspec(dllexport)
#else
#define VODCLIENT_API extern "C" __declspec(dllimport)
#endif

struct VOD_FILE_LIST_ITEM
{
	char szFileName[MAX_PATH];
	DWORD dwFileNameLen;
};

struct VOD_FILE_LIST
{
	DWORD dwVer;
	DWORD dwLen;

	int nFileTotals;		//ļ
	VOD_FILE_LIST_ITEM item[1];	//ļľϢ
};

struct SESSION_INFO
{
	WORD wPort;	// δ
	HWND hWnd;	// 
};

//ʼͻ
VODCLIENT_API long __stdcall VODClientStartup(SESSION_INFO * pSessionInfo);

//ͷſͻԴ
VODCLIENT_API BOOL __stdcall VODClientCleanup(long nSessionId);

//ȡб
//szIp			VOD IP
//wPort		VOD ļ˿
//ppList	صļб
VODCLIENT_API BOOL __stdcall VODClientGetFileList(TCHAR * szIp,WORD wPort,void ** ppList);

//ͷŲб
//pv VODClientGetFileListõб
VODCLIENT_API BOOL __stdcall VODClientFreeFileList(void ** pv);

//ѡҪŵļ
//szIp			VOD IP
//wPort		VOD ļ˿
//pszFileName	Ҫŵļ
VODCLIENT_API BOOL __stdcall VODClientSelectFile(long nSessionId,char * szIp,WORD wPort,TCHAR * pszFileName);
//ͷŷ˵Դ
//˺ҪVODClientSelectFileʹ
VODCLIENT_API BOOL __stdcall VODClientTeardown(long nSessionId);

//ǲĲ
VODCLIENT_API BOOL __stdcall VODClientPlay(long nSessionId);
VODCLIENT_API BOOL __stdcall VODClientPause(long nSessionId);
VODCLIENT_API BOOL __stdcall VODClientStop(long nSessionId);
VODCLIENT_API BOOL __stdcall VODClientSeek(long nSessionId,DWORD dwPos);

VODCLIENT_API BOOL __stdcall VODClientSound(long nSessionId,BOOL bEnable);
VODCLIENT_API BOOL __stdcall VODClientSetVolume(long nSessionId,WORD wVolume);

VODCLIENT_API DWORD __stdcall VODClientGetCurPos(long nSessionId);
VODCLIENT_API DWORD __stdcall VODClientGetFileSize(long nSessionId);

VODCLIENT_API DWORD __stdcall VODClientGetCurTime(long nSessionId);
VODCLIENT_API DWORD __stdcall VODClientGetAllTime(long nSessionId);

VODCLIENT_API DWORD __stdcall VODClientGetCurFrame(long nSessionId);
VODCLIENT_API DWORD __stdcall VODClientGetAllFrames(long nSessionId);

VODCLIENT_API DWORD __stdcall VODClientGetFrameRate(long nSessionId);

#endif