#if !defined __VOD_CNT_INTERFACE_H__
#define  __VOD_CNT_INTERFACE_H__

#ifdef VODCLIENT_EXPORTS
#define VODCLIENT_API extern "C" __declspec(dllexport)
#else
#define VODCLIENT_API extern "C" __declspec(dllimport)
#endif

#include "msg.h"

VODCLIENT_API LONG __stdcall VODClientStartup(SESSION_INFO * pSessionInfo);
VODCLIENT_API BOOL __stdcall VODClientCleanup(LONG nSessionId);

VODCLIENT_API BOOL __stdcall VODClientGetFileList(TCHAR * szIp,WORD wPort,void ** ppList);
VODCLIENT_API BOOL __stdcall VODClientFreeFileList(void ** pv);

VODCLIENT_API BOOL __stdcall VODClientSelectFile(LONG nSessionId,char * szIp,WORD wPort,TCHAR * pszFileName);
VODCLIENT_API BOOL __stdcall VODClientTeardown(LONG nSessionId);

VODCLIENT_API BOOL __stdcall VODClientPlay(LONG nSessionId);
VODCLIENT_API BOOL __stdcall VODClientPause(LONG nSessionId);
VODCLIENT_API BOOL __stdcall VODClientStop(LONG nSessionId);
VODCLIENT_API BOOL __stdcall VODClientSeek(LONG nSessionId,DWORD dwPos);

VODCLIENT_API BOOL __stdcall VODClientSound(LONG nSessionId,BOOL bEnable);
VODCLIENT_API BOOL __stdcall VODClientSetVolume(LONG nSessionId,WORD wVolume);

VODCLIENT_API DWORD __stdcall VODClientGetCurPos(LONG nSessionId);
VODCLIENT_API DWORD __stdcall VODClientGetFileSize(LONG nSessionId);

VODCLIENT_API DWORD __stdcall VODClientGetCurTime(LONG nSessionId);
VODCLIENT_API DWORD __stdcall VODClientGetAllTime(LONG nSessionId);

VODCLIENT_API DWORD __stdcall VODClientGetCurFrame(LONG nSessionId);
VODCLIENT_API DWORD __stdcall VODClientGetAllFrames(LONG nSessionId);

VODCLIENT_API DWORD __stdcall VODClientGetFrameRate(LONG nSessionId);

#endif