// PROVisionDlg.h : header file
//

#if !defined(AFX_PROVISIONDLG_H__0FCEB53F_35E1_40A3_8F98_E993258EA09B__INCLUDED_)
#define AFX_PROVISIONDLG_H__0FCEB53F_35E1_40A3_8F98_E993258EA09B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPROVisionDlg dialog


#include "VideoWin.h"

class CPROVisionDlg : public CDialog
{
// Construction
public:
	int OnDataReady(UINT wpara, INT lparam);
	int OnUpdateCounters(UINT, INT);
	void LogMessage(const unsigned char *buf, void *context);
	void OnMyCommand(WPARAM wParam, LPARAM lParam);
	BOOLEAN m_bDspPreset[MAX_DSPS_SUPPORT];
	CBrush m_brush1;
	CBrush m_brush2;
	BOOLEAN m_bLog;
	CVideoWin m_VideoWin;


	CPROVisionDlg(CWnd* pParent = NULL);	// standard constructor
	void StartVideoPreview();
	void StopVideoPreview();

// Dialog Data
	//{{AFX_DATA(CPROVisionDlg)
	enum { IDD = IDD_PROVISION_DIALOG };
	CEdit	m_Logwin;
	int		m_brightness;
	int		m_contrast;
	int		m_hue;
	int		m_saturation;
	UINT	m_iframes;
	UINT	m_pbframes;
	UINT	m_lostframes;
	UINT	m_audioframes;
	CString	m_ip;
	BOOL	m_sframe;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPROVisionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPROVisionDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnClose();
	afx_msg void OnStop();
	afx_msg void OnPreview();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnMove(int x, int y);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSettings();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCapimage();
	afx_msg void OnDestroy();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnCapturesframe();
	afx_msg void OnButton9();
	afx_msg void OnSubstart();
	afx_msg void OnStopsubcap();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROVISIONDLG_H__0FCEB53F_35E1_40A3_8F98_E993258EA09B__INCLUDED_)
