// VODCntT_TDlg.h : header file
//

#if !defined(AFX_VODCNTT_TDLG_H__85E378F6_0718_4B87_A576_01CC2C71B487__INCLUDED_)
#define AFX_VODCNTT_TDLG_H__85E378F6_0718_4B87_A576_01CC2C71B487__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVODCntT_TDlg dialog

#include "VODClient.h"

class CVODCntT_TDlg : public CDialog
{
// Construction
public:
	CVODCntT_TDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVODCntT_TDlg)
	enum { IDD = IDD_VODCNTT_T_DIALOG };
	CStatic	m_show;
	CSliderCtrl	m_sliderVolume;
	CButton	m_sel;
	CButton	m_stop;
	CButton	m_play;
	CButton	m_pause;
	CSliderCtrl	m_slider;
	CIPAddressCtrl	m_ipCtrl;
	CListBox	m_lstCtrl;
	UINT	m_wPort;
	int		m_nVolume;
	BOOL	m_bSound;
	int		m_nPos;
	LONG nSessionId;
	LONG nSessionIdId;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVODCntT_TDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL


// Implementation
protected:
	HICON m_hIcon;
	DWORD m_dwSessionID;
	CString m_ip;
	VOD_FILE_LIST * m_pFileList;
	UINT m_nTimer;
	void GetIp();

	bool m_bSeeking;
	// Generated message map functions
	//{{AFX_MSG(CVODCntT_TDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonPlay();
	afx_msg void OnClose();
	afx_msg void OnButtonFileList();
	afx_msg void OnButtonPause();
	afx_msg void OnButtonStop();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonSel();
	afx_msg void OnReleasedcaptureSliderSound(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCheckSound();
	afx_msg void OnReleasedcaptureSlider1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButton2();
	afx_msg void OnSel();
	//}}AFX_MSG
	afx_msg void OnOK();
	afx_msg void OnCancel();

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VODCNTT_TDLG_H__85E378F6_0718_4B87_A576_01CC2C71B487__INCLUDED_)
